<?php

class Autoklasse {
    //ein Attribut (geschwindigkeit), eine Eigenschaft (0)
    private $geschwindigkeit = 0;

    //die Methoden zum Initialisieren
    public function initialisierung($standard) {
        $this->geschwindigkeit = $standard;
    }

    //Zum Bremsen:

    public function bremsen($aenderung) {
        if($this->geschwindigkeit - $aenderung < 0){
        $this->geschwindigkeit = 0;
        }
        else {
            $this->geschwindigkeit = $this->geschwindigkeit - $aenderung;
        }
    }

    //Zum Gasgeben

    public function gasgeben($aenderung){
        $this->geschwindigkeit = $this->geschwindigkeit + $aenderung;
    }

    //Ausgabe der Geschwindigkeit
    public function ausgabe() {
        echo "Die aktuelle Geschwindigkeit beträgt " .$this->geschwindigkeit .": ";
    }
}

$auto1 = new Autoklasse();
$auto2 = new Autoklasse();

//Initialisieren für beide Autos:

$auto1->initialisierung(0);
$auto2->initialisierung(10);

echo "<hr>";
//Die Geschwindigkeit ausgeben:

echo "nach der Initialisierung: ";
$auto1->ausgabe();
$auto2->ausgabe();
echo "<hr>";

// Methode Gasgeben aufrufen:

$auto1->gasgeben(20);
$auto2->gasgeben(100);
echo "<hr>";
echo "Nach dem Gasgeben: ";

$auto1->ausgabe();
$auto2->ausgabe();
echo "<hr>";

//Methode Bremsen:

$auto1->bremsen(10);
$auto2->bremsen(50);

echo "Nach dem Bremsen: ";

$auto1->ausgabe();
$auto2->ausgabe();

?>